<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o6.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	class Animal{
		constructor(peso){
			this.peso=peso;
		}
		
		comer(){
			console.log("ÑAN ÑAN");
		};
	};
	
	
	
	class Oviparo extends Animal{
		constructor(peso){
			super(peso);
		}
	
		ponerHuevos(){
			console.log("huevo");
		};
	};
	
	const objeto=new Oviparo(5);
	
	objeto.ponerHuevos();
	console.log(objeto.peso);
	objeto.comer();
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 6
</div>
<div class="explicacion">
Vamos a entender como funciona la herencia cuando el padre necesita argumentos
</div>
</div>
</body>
</html>
